<?php
// 1. If user clicked on 'Insert' button
if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	// 2. Database connection
	include("_connection.php");
	$con = db_connection();

	// 3. Prepare form values for database
	$name = mysqli_real_escape_string($con, $_POST['name']);
	$email = mysqli_real_escape_string($con, $_POST['email']);
	
	// 4. Database query to insert record
	$result = mysqli_query($con, "INSERT INTO profiles (name, email) VALUES ('$name', '$email')");
	if ($result == true) {
		$message = "<div style='color:green;'>Record was inserted successfully!</div>";
		unset($name);
		unset($email);
	} else {
		$message = "<div style='color:red;'>Could not insert the record!<br> Error: " . mysqli_error($con) . "</div>";
	}

	mysqli_close($con);
}
?>

<!DOCTYPE html>
<html>
<head>
	<title>Insert New Record</title>
	<meta charset="utf-8">
	<!-- 5. Include CSS file to beautify HTML page -->
	<link rel="stylesheet" href="styles.css">
</head>
<body>
	
	<!-- 6. Include menu that contains links to other pages -->
	<?php include("_menu.php"); ?>
	
	<h2>Insert New Record</h2>

	<!-- 7. Print success or failure message -->
	<?php if (isset($message)) print $message; ?>
	<br>
	
	<!-- 8. HTML form -->
	<form method="post" action="insert.php">
		Name<br>
		<input name="name" type="text"><br>
		<br>
		Email<br>
		<input name="email" type="text"><br>
		<br>
		<input type="submit" value="Insert"><br>
	</form>
	
</body>
</html>

