<!DOCTYPE html>
<html>
<head>
	<title>Search</title>
	<meta charset="utf-8">
	<link rel="stylesheet" href="styles.css">
</head>
<body>

	<?php include("_menu.php"); ?>
	
	<h2>Search</h2>

	<!-- 1. HTML search form -->
	<form method="get" action="search.php">
		<input name="search" type="text" 
				value="<?php if (isset($_GET["search"])) print $_GET["search"];?>"> 
		<input type="submit" value="Search"><br>
	</form>	
	
	<?php 
		include("_connection.php");
		$con = db_connection();
		
		// 2. Database query to get records
		if (isset($_GET["search"]) && !empty($_GET["search"])) {

			print "<br><table>";
			
			// 3. Prepare search text for database
			$search = mysqli_real_escape_string($con, $_GET["search"]);

			$results = mysqli_query($con, "SELECT profile_id, name, email FROM profiles 
										WHERE name LIKE '%$search%'");
			while ($row = mysqli_fetch_assoc($results)) {
				print 	"<tr>
							<td><a href='delete.php?id=" . $row["profile_id"] . "'>Delete</a></td>
							<td><a href='update.php?id=" . $row["profile_id"] . "'>Update</a></td>
							<td>" . $row["profile_id"] . "</td>
							<td>" .  $row["name"] .  "</td>
							<td>" . $row["email"] . "</td>
						</tr>";
			}
			print "</table>";
			
			// 4. If no record found
			if (mysqli_num_rows($results) == 0) {
				print "<div>No record found!</div>";
			}
		}
		
		mysqli_close($con);
		
	?>
</body>
</html>

