<?php
include("_connection.php");
$con = db_connection();

// 1. Get record from database so that user can change it
$record_id = 0;
if (isset($_GET["id"]) && is_numeric($_GET["id"])) {

	$record_id = mysqli_real_escape_string($con, $_GET["id"]);
	$results = mysqli_query($con, "SELECT profile_id, name, email FROM profiles WHERE profile_id = $record_id");
	if ($row = mysqli_fetch_assoc($results)) {
		$name = $row["name"];
		$email = $row["email"];
	}
}

// 2. If user clicked on 'Update' button
if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	$name = mysqli_real_escape_string($con, $_POST['name']);
	$email = mysqli_real_escape_string($con, $_POST['email']);
	
	$result = mysqli_query($con, "UPDATE profiles SET name='$name', email='$email' 
							WHERE profile_id = $record_id");
	if ($result == true) {
		$message = "<div style='color:green;'>Record '$name' was updated successfully!</div>";
	} else {
		$message = "<div style='color:red;'>Could not update the record!<br> Error: " . mysqli_error($con) . "</div>";
	}
}

mysqli_close($con);

?>

<!DOCTYPE html>
<html>
<head>
	<title>Update Record</title>
	<meta charset="utf-8">
	<link rel="stylesheet" href="styles.css">
</head>
<body>
	
	<?php include("_menu.php"); ?>
	
	<h2>Update Record</h2>

	<?php if (isset($message)) print $message; ?>
	<br>
	
	<!-- 3. HTML form -->
	<form method="post" action="update.php<?php print "?id=$record_id"; ?>">
		Name<br>
		<input name="name" type="text" value="<?php if (isset($name)) print $name; ?>"><br>
		<br>
		Email<br>
		<input name="email" type="text" value="<?php if (isset($email)) print $email; ?>"><br>
		<br>
		<input type="submit" value="Update"><br>
	</form>
	
</body>
</html>
